//Show main page
function showMainPage(){
	
	$.post("action.webinjectConf.php", { action: 'show_MainPage' }, function(xml) {
	$("div.divMainForm").html(xml); });
}

//Action Click: show the form to define a new test case
function showDefineNewTestcaseForm(){
	
	$.post("action.webinjectConf.php", { action: 'show_testcaseDefinitionForm' }, function(xml) {
	$("div.divMainForm").html(xml); });
}

//Submit the create testcase form and validate the fields 
function submitAndCreateTestcase(){
	
	if (document.getElementById('testcase_name').value == ''){
		 alert ('Testcase name: Please specify a name for the testcases configuration file.');
		 return false;
	}
	if ((document.getElementById('testcase_url').value == '') || ((document.getElementById('testcase_url').value == 'http://'))) {
		 alert ('Testcase URL: Please specify a URL to query.');
		 return false;
	}
	
	xml_folder = document.getElementById('xml_folder').value;
	testcase_id = document.getElementById('testcase_id').value;
	testcase_name = document.getElementById('testcase_name').value;
	testcase_desc = document.getElementById('testcase_desc').value;

	testcase_url = document.getElementById('testcase_url').value;
	testcase_method = document.getElementById('testcase_method').value;
	testcase_postbody = document.getElementById('testcase_postbody').value;
	testcase_posttype = document.getElementById('testcase_posttype').value;
	testcase_verifypositive = document.getElementById('testcase_verifypositive').value;
	testcase_verifynegative = document.getElementById('testcase_verifynegative').value;
	testcase_parseresponse = document.getElementById('testcase_parseresponse').value;
	testcase_logrequest = document.getElementById('testcase_logrequest').value;
	testcase_logresponse = document.getElementById('testcase_logresponse').value;
	
	var selector_sleep = document.getElementById('testcase_sleep');
	var selIndex = selector_sleep.selectedIndex;
	var testcase_sleep = selector_sleep[selIndex].value;

	$.post("action.webinjectConf.php", { action: 'submit_createNewTestcaseConfig', xml_folder:xml_folder, testcase_id:testcase_id, testcase_name:testcase_name,
		testcase_desc:testcase_desc, testcase_url:testcase_url, testcase_method:testcase_method, testcase_postbody:testcase_postbody, testcase_posttype:testcase_posttype,
		testcase_verifypositive:testcase_verifypositive, testcase_verifynegative:testcase_verifynegative, testcase_parseresponse:testcase_parseresponse, 
		testcase_sleep:testcase_sleep, testcase_logrequest:testcase_logrequest, testcase_logresponse:testcase_logresponse}, function(xml) {
		$("div.divMainForm").html(xml); });
}

//Submit the edited values of a testcase after editing
function submitUpdatedTestcase(){
	
	/*alert("committing....");
	testcase_id = new Array();
	testcase_desc = new Array();
	testcase_url = new Array();
	testcase_method = new Array();
	testcase_postbody = new Array();
	testcase_posttype = new Array();
	testcase_verifypositive = new Array();
	testcase_verifynegative = new Array();
	testcase_parseresponse = new Array();
	testcase_sleep = new Array();
	testcase_logrequest = new Array();
	testcase_logresponse = new Array();
	
	//get the number of testcases
	number_of_testcases = document.getElementById('num_of_testcases').value;
	
	for (i=0;i<=number_of_testcases;i++){
		
		testcase_id[i] = document.getElementById('testcase_id_'+i).value;
		testcase_desc[i] = document.getElementById('testcase_desc_'+i).value;
		testcase_url[i] = document.getElementById('testcase_url_'+i).value;
		testcase_method[i] = document.getElementById('testcase_method_'+i).value;
		testcase_postbody[i] = document.getElementById('testcase_postbody_'+i).value;
		testcase_posttype[i] = document.getElementById('testcase_posttype_'+i).value;
		testcase_verifypositive[i] = document.getElementById('testcase_verifypositive_'+i).value;
		testcase_verifynegative[i] = document.getElementById('testcase_verifynegative_'+i).value;
		testcase_parseresponse[i] = document.getElementById('testcase_parseresponse_'+i).value;
		testcase_sleep[i] = document.getElementById('testcase_sleep_'+i).value;
		testcase_logrequest[i] = document.getElementById('testcase_logrequest_'+i).value;
		testcase_logresponse[i] = document.getElementById('testcase_logresponse_'+i).value;
	}
	
	alert ("ID 1 "+testcase_id[0]);
	alert ("ID 2 "+testcase_id[1]);
	
	$.post("action.webinjectConf.php", { action: 'submitUpdatedTestcase', configFile:configFile, number_of_testcases:number_of_testcases, testcase_id:testcase_id,
		testcase_desc:testcase_desc, testcase_url:testcase_url, testcase_method:testcase_method, testcase_postbody:testcase_postbody, testcase_posttype:testcase_posttype,
		testcase_verifypositive:testcase_verifypositive, testcase_verifynegative:testcase_verifynegative, testcase_parseresponse:testcase_parseresponse, 
		testcase_sleep:testcase_sleep, testcase_logrequest:testcase_logrequest, testcase_logresponse:testcase_logresponse}, function(xml) {
		$("div.divMainForm").html(xml); });
*/	
	
	document.getElementById("editTestCaseForm").submit();
}
function submitUpdatedTestcaseDone(){
	
	
	document.getElementById("action").value = "submitUpdatedTestcaseDone";
	document.getElementById("editTestCaseForm").submit();
}

//Run a dubug session of the testcase
function runTestcaseDebugAction(configFile){
	
	document.getElementById('message_space').innerHTML = 'The Webservice test "'+configFile+'" is beeing performed. Please wait for a moment ...';
	
	if (configFile != ""){
		
		window.location='./index.php?runconf='+configFile;
	}
	return false;
	
	//$.post("action.webinjectConf.php", { action: 'runTestcaseDebug', testcase_file:configFile }, function(xml) {
	//	$("div.divMainForm").html(xml); });
}


//Edit the Webinject configuration (Editor form)
function showConfigurationEditFormAction(configFile){
	
	$.post("action.webinjectConf.php", { action: 'editConfigFile', testcase_file:configFile }, function(xml) {
		$("div.divMainForm").html(xml); });
}

//View the Webinject configuration (Simple view form)
function showRawXMLConfigurationViewFormAction(configFile){
	
	$.post("action.webinjectConf.php", { action: 'viewRawXMLConfigFile', testcase_file:configFile }, function(xml) {
		$("div.divMainForm").html(xml); });
	
}


//Save the pure xml text strings
function submitAndSaveWebInjectRawXML(isWritable){
	
	//The xml configuration
	var webinjectRawXMLTestcases = document.getElementById('xml_configuration').value;
	//The XML Filename
	var XMLFile_fullPath = document.getElementById('xmlFile_to_save').value;
	
	//If a filename has been set
	if (XMLFile_fullPath != ''){
		
		//is the file writable
		if (!isWritable) { 
			alert('The Webinject configuration file '+XMLFile_fullPath+' is not writable for user apache.');
			return false;
		}
		
		//As some xml tags for configuration been defined?
		if ( webinjectRawXMLTestcases == ''){ 
			alert('The XML-Configuration for Webinject is empty. Please add some commands.');
			return false;
			
		} else { 
			
			$.post("action.webinjectConf.php", { action: 'submitSaveRawXMLConfigFile', webinjectRawXMLTestcases:webinjectRawXMLTestcases, XMLFile_fullPath:XMLFile_fullPath }, function(xml) {
				$("div.divMainForm").html(xml); });
		}
		
	} else {
		
		alert ('There has been selected no Webinject configuration file!');
	}
}

//Show the delete a Webinject XML testcase configuration form
function showConfigurationDeleteFormAction(configFile){
	
	$.post("action.webinjectConf.php", { action: 'showDeleteWebinjectConfForm', configFile:configFile }, function(xml) {
		$("div.divMainForm").html(xml); });
}

//Cornfirmed deletetion a Webinject XML testcase configuration execution
function confirmConfigurationDeleteFormAction(configFile){
	
	if (configFile != ""){
		
		$.post("action.webinjectConf.php", { action: 'confirmedDeleteWebinjectConfExec', configFile:configFile }, function(xml) {
			$("div.divMainForm").html(xml); });
		
	}
	
	
}

//Add a single testcase
function insertTestcaseToConfigFile(case_insertAtIndex, testcase_file){
	
	if ((case_insertAtIndex != "") && (testcase_file != "")){
		
		$.post("action.webinjectConf.php", { action: 'insertTestcaseToConfigFile', 
				case_insertAtIndex:case_insertAtIndex, testcase_file:testcase_file }, function(xml) {
			$("div.divMainForm").html(xml); });
	} else {
		
		alert ("Error: There has not been indicated the Index or the configuration file to edit.");
	}
	
}

//Delete a single testcase
function removeTestcaseFromConfigFile(case_DeleteIndex, testcase_file){
	
	if ((case_DeleteIndex != "") && (testcase_file != "")){
		
		if (confirm ("Do you want to delete the testcase index: "+case_DeleteIndex+" ?")){
			
			$.post("action.webinjectConf.php", { action: 'deleteTestcaseToConfigFile', 
				case_DeleteIndex:case_DeleteIndex, testcase_file:testcase_file }, function(xml) {
			$("div.divMainForm").html(xml); });
			
		}
	} else {
		alert ("Error: There has not been indicated the Index or the configuration file to edit.");
	}
}

//Show the configuration examples for Nagios configuration
function showConfigureInNagios(configFile){
	
	if (configFile != "") {
		
		$.post("action.webinjectConf.php", { action: 'showConfigureInNagios', configFile:configFile }, function(xml) {
			$("div.divMainForm").html(xml); });	
	}
}







//OLD Section

//append Contact to selected contacts that should receive the webinject 
/*function loadXMLFile(){
	
	var selector_XMLFile = document.getElementById('config_xml_file');
	var selIndex = selector_XMLFile.selectedIndex;
	var selFilename = selector_XMLFile[selIndex].value;
	
	if (selFilename != ''){  	
		document.getElementById('xml_to_show').value = selFilename;
		document.getElementById("reloadNewXML").submit();
	} else {
		document.getElementById("xml_configuration").value = ' ';
		document.getElementById("reloadNewXML").submit();
	}
}


//Configuration Eeditor: Remove selected xml
function removeTestCase(xmlPath){
	//get selection
	var selector_XMLFile = document.getElementById('config_xml_file');
	var selIndex = selector_XMLFile.selectedIndex;
	var selFilename = selector_XMLFile[selIndex].value;
	
	//proceed if selection is done
	if (selFilename != ''){
		if (confirm ("Do you want to delete the testcase: "+selFilename+" ?")){
			window.location='action/action.removeTestcase.php?xml_folder='+xmlPath+'&testcase='+selFilename;
		}
	} else { 
		window.location='index.php?message=No testcase selected for delete.';
	}
	return false;
}

//Enable / disable input field postbody
function testcase_changemethod(fieldIndex){

	if (fieldIndex!=""){
		field_postBody = "testcase_postbody_"+fieldIndex;
		field_method = "testcase_method_"+fieldIndex;
	} else {
		field_postBody = "testcase_postbody";
		field_method = "testcase_method";
	}
	
	var selected_method = document.getElementById(field_method);
	var selIndex = selected_method.selectedIndex;
	var selHttpMethod = selected_method[selIndex].value;
	
	if (selHttpMethod == 'post'){
		document.getElementById(field_postBody).disabled = false;
	} else {
		document.getElementById(field_postBody).disabled = true;
	}
}


function testcase_cleanTextarea(){
	document.getElementById('message_space').innerHTML = 'Press "Run Testcase" to start debugging ...';
}


function testcase_addToTextarea(string){
	var content = document.getElementById('testcase_results').value;
	document.getElementById('testcase_results').value = content+string;
}

//Execute the run of a testcase
function runTestcase(){
	
	var selected_method = document.getElementById('selected_testcase');
	var selIndex = selected_method.selectedIndex;
	var selTestcase = selected_method[selIndex].value;
	
	document.getElementById('message_space').innerHTML = 'Testcase '+selTestcase+' running ...';
	
	if (selTestcase != ''){
		document.getElementById("testcase_to_run").value = selTestcase
		document.getElementById("debugger_form").submit();
	} else {
		window.location='debugger.php?message=No testcase selected for execution.';
	}
}*/